# \author Kurak
#skrypt pobiera naglowek nowej kolumny w drugim wierszu stdin oraz domyslna wartosc
#w wierszu trzecim, a nastepnie dopisuje kolumne o podanych danych
#do pliku o nazwie podanej w wierszu pierwszym (w kazdym scenariuszu)
import sys
import glob

print "Enter scenario file name to modify: ",
filename = sys.stdin.readline().strip()
print "Enter content for comment cell: ",
comment = sys.stdin.readline().strip()
print "Enter default data cell value: ",
defValue = sys.stdin.readline().strip()

# Teraz wlasciwe doklejanie
def addColumnToFile(file):
    print "Adding column \"" + comment + "\" to file \"" + file + "\""
    f = open(file, "rt")
    lines = [line.strip() for line in f.read().split("\n")]
    f.close()
    newlines = []
    for line in lines:
        if len(line) > 0:
            if line[0] == "#":
                #doklejenie komentarza
                if line[-1] != ";":
                    line += ";"
                #if
                line += comment
            else:
                if line[-1] != ";":
                    line += ";"
                #if
                line += defValue
            #fi
        #if
        newlines.append(line)                
    #for

    f = open(file, "wt")
    f.write("\n".join(newlines))
    f.close()
#addColumnToFile

filesToModify = glob.glob("./*/"+filename)
for fileToModify in filesToModify:
    addColumnToFile(fileToModify)
#for

print "Done."
sys.stdin.read(1)